<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:ms="urn:schemas-microsoft-com:xslt"
xmlns:vb="urn:the-xml-files:xslt-vb">
<ms:script language="VBScript" implements-prefix="vb">
	<![CDATA[
	Function GetParentProjectName(categoryNodesList)
		Dim categoryNode
		Set categoryNode = categoryNodesList.item(0)
		GetParentProjectName = ""
		Dim parent1, parent2
		Set parent1 = categoryNode.parentNode
		If Not IsNull(parent1) Then
			Set parent2 = parent1.parentNode
			If Not IsNull(parent2) And "CATEGORY" = parent2.nodeName Then
				If "Projects" = GetNodeName(parent2) Then
						GetParentProjectName = GetNodeName(parent1)
				End If
			End If
		End If
	End Function

	Function GetNodeName(node)
		Dim attributes
		Set attributes = node.attributes
		GetNodeName = attributes.getNamedItem("NAME").nodeValue
	End Function

	Function GetParentNames(categoryNodesList)
		GetParentNames = GetParentNamesSep(categoryNodesList, "->")
	End Function

	Function GetParentNamesSep(categoryNodesList, separator)
		Dim categoryNode
		Set categoryNode = categoryNodesList.item(0)
		Dim parent, prevParent
		Dim strCategoriesList
		strCategoriesList = ""
		Set parent = categoryNode.parentNode
		While Not IsNull(parent) And "CATEGORY" = parent.nodeName 
			strCategoriesList = GetNodeName(parent) & _
				separator & strCategoriesList
			Set prevParent = parent
			Set parent = prevParent.parentNode
		Wend
		GetParentNamesSep = strCategoriesList
	End Function

    ]]>
</ms:script>

</xsl:stylesheet>